Ordexs API v1 Get an API key

Orders

List an order's notes

GEThttps://api.ordexs.com/v1/orders/{order_id}/notes

Newest first, up to the 200 most recent.

Path parameters

  • order_idstringRequired

    starts with ord_

Returns

200 OK · The notes. OrderNoteList

  • objectstringRequired

    always "list"

  • has_morebooleanRequired
  • next_cursorstring or nullRequired

    Pass as cursor to get the next page. null on the last page.

  • dataarray of OrderNotesRequired
    7 child fields
    • idstring

      starts with note_

    • objectstring

      always "order_note"

    • order_idstring
    • bodystring
    • authorAuthor
      2 child fields
      • typestring

        One of staff, api_key, system

      • namestring or null
    • livemodeboolean
    • created_atstring

      ISO 8601 date-time, UTC

Errors

Every error has the same shape. This endpoint can answer with: